Package org.apache.ignite.spi.systemview.view

## Enum ComputeJobView.ComputeJobState

- java.lang.Object
- - java.lang.Enum<ComputeJobView.ComputeJobState>
  - - org.apache.ignite.spi.systemview.view.ComputeJobView.ComputeJobState

- All Implemented Interfaces:
    `Serializable`, `Comparable<ComputeJobView.ComputeJobState>`
  Enclosing class:
    ComputeJobView

      public static enum ComputeJobView.ComputeJobState
      extends Enum<ComputeJobView.ComputeJobState>

  Compute job state.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACTIVE` | Job scheduled for the execution.
    `CANCELED` | Job execution canceled.
    `PASSIVE` | If collision configured jobs may be passivated before execution.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ComputeJobView.ComputeJobState` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ComputeJobView.ComputeJobState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE

          public static final ComputeJobView.ComputeJobState ACTIVE

      Job scheduled for the execution. If collision not configured all jobs in this state by default.
      See Also:
        `GridCollisionManager`, `CollisionSpi`

    - #### PASSIVE

          public static final ComputeJobView.ComputeJobState PASSIVE

      If collision configured jobs may be passivated before execution.
      See Also:
        `GridCollisionManager`, `CollisionSpi`

    - #### CANCELED

          public static final ComputeJobView.ComputeJobState CANCELED

      Job execution canceled.
      See Also:
        `GridJobProcessor.cancelJob(IgniteUuid, IgniteUuid, boolean)`

  - ### Method Detail

    - #### values

          public static ComputeJobView.ComputeJobState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ComputeJobView.ComputeJobState c : ComputeJobView.ComputeJobState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ComputeJobView.ComputeJobState valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null